/* $Id$ */
# ifndef CPPAD_BOOL_VALUED_INCLUDED
# define CPPAD_BOOL_VALUED_INCLUDED

/* --------------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-06 Bradley M. Bell

CppAD is distributed under multiple licenses. This distribution is under
the terms of the 
                    GNU General Public License Version 3.

A copy of this license is included in the COPYING file of this distribution.
Please visit http://www.coin-or.org/CppAD/ for information on other licenses.
-------------------------------------------------------------------------- */

/*
$begin BoolValued$$
$spell
	Bool
$$

$index operation, AD Bool valued$$
$index function, AD Bool valued$$

$section Bool Valued Operations and Functions with AD Arguments$$

$children%
	cppad/local/compare.hpp%
	cppad/local/near_equal_ext.hpp%
	cppad/local/bool_fun.hpp%
	cppad/local/par_var.hpp%
	cppad/local/equal_op_seq.hpp
%$$
$table
$rref Compare$$
$rref NearEqualExt$$
$rref BoolFun$$
$rref ParVar$$
$rref EqualOpSeq$$
$tend
	

$end
*/

# include <cppad/local/compare.hpp>
# include <cppad/local/near_equal_ext.hpp>
# include <cppad/local/bool_fun.hpp>
# include <cppad/local/par_var.hpp>
# include <cppad/local/equal_op_seq.hpp>

# endif
