/* $Id$ */
# ifndef CPPAD_CONVERT_INCLUDED
# define CPPAD_CONVERT_INCLUDED

/* --------------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-12 Bradley M. Bell

CppAD is distributed under multiple licenses. This distribution is under
the terms of the 
                    GNU General Public License Version 3.

A copy of this license is included in the COPYING file of this distribution.
Please visit http://www.coin-or.org/CppAD/ for information on other licenses.
-------------------------------------------------------------------------- */

/*
$begin Convert$$
$spell
$$

$index convert, from AD$$
$index AD, convert from$$

$section Conversion and I/O of AD Objects$$

$children%
	cppad/local/value.hpp%
	cppad/local/integer.hpp%
	cppad/local/ad_io.hpp%
	cppad/local/print_for.hpp%
	cppad/local/var2par.hpp
%$$
$table
$rref Value$$
$rref Integer$$
$rref ad_output$$
$rref PrintFor$$
$rref Var2Par$$
$tend
	

$end
*/

# include <cppad/local/value.hpp>
# include <cppad/local/integer.hpp>
# include <cppad/local/ad_io.hpp>
# include <cppad/local/print_for.hpp>
# include <cppad/local/var2par.hpp>

# endif
