/* $Id$ */
# ifndef CPPAD_MATH_OTHER_INCLUDED
# define CPPAD_MATH_OTHER_INCLUDED

/* --------------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-12 Bradley M. Bell

CppAD is distributed under multiple licenses. This distribution is under
the terms of the 
                    GNU General Public License Version 3.

A copy of this license is included in the COPYING file of this distribution.
Please visit http://www.coin-or.org/CppAD/ for information on other licenses.
-------------------------------------------------------------------------- */

/*
$begin MathOther$$
$spell
	atan
$$
$index other, AD math$$
$index math, AD other$$
$index AD, other math$$

$section Other AD Math Functions$$

$childtable%
	cppad/local/abs.hpp%
	cppad/local/sign.hpp%
	cppad/local/atan2.hpp%
	cppad/local/erf.hpp%
	cppad/local/pow.hpp%
	cppad/local/limits.hpp
%$$

$end
*/

# include <cppad/local/abs.hpp>
# include <cppad/local/sign.hpp>
# include <cppad/local/atan2.hpp>
# include <cppad/local/erf.hpp>
# include <cppad/local/pow.hpp>

# endif
